Name:           perl-Mojo-Pg
Version:        4.08
Release:        2%{?dist}
Summary:        Mojolicious ♥ PostgreSQL
License:        Artistic 2.0

URL:            http://search.cpan.org/dist/Mojo-Pg/
Source0:        http://www.cpan.org/authors/id/S/SR/SRI/Mojo-Pg-%{version}.tar.gz

BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Mojolicious) >= 7.53
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBD::Pg) >= 3.5.1
BuildRequires:  perl(DBI)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojo::Collection)
BuildRequires:  perl(Mojo::EventEmitter)
BuildRequires:  perl(Mojo::File)
BuildRequires:  perl(Mojo::IOLoop)
BuildRequires:  perl(Mojo::JSON)
BuildRequires:  perl(Mojo::Loader)
BuildRequires:  perl(Mojo::Promise)
BuildRequires:  perl(Mojo::URL)
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(SQL::Abstract)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(constant)
# Tests
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Mojolicious::Lite)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(SQL::Abstract) >= 1.85

%{?perl_default_filter}

%description
Mojo::Pg is a tiny wrapper around DBD::Pg that makes PostgreSQL a lot of
fun to use with the Mojolicious real-time web framework. Perform queries
blocking and non-blocking, use all SQL features PostgreSQL has to offer,
generate CRUD queries from data structures, manage your database schema
with migrations and build scalable real-time web applications with the
publish/subscribe pattern.

%prep
%setup -q -n Mojo-Pg-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README.md
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue May 15 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 4.08-2
- Take into account review comments (#1578151)

* Mon May 14 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 4.08-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
